Package net.commoble.jumbofurnace.jumbo_furnace

# Class JumboFurnaceCoreBlockEntity

java.lang.Object
net.neoforged.neoforge.attachment.AttachmentHolder
net.minecraft.world.level.block.entity.BlockEntity
net.commoble.jumbofurnace.jumbo_furnace.JumboFurnaceCoreBlockEntity

All Implemented Interfaces:
  `net.neoforged.neoforge.attachment.IAttachmentHolder`, `net.neoforged.neoforge.common.extensions.IBlockEntityExtension`

public class JumboFurnaceCoreBlockEntity extends net.minecraft.world.level.block.entity.BlockEntity

## Nested Class Summary

## Nested classes/interfaces inherited from class net.neoforged.neoforge.attachment.AttachmentHolder

`net.neoforged.neoforge.attachment.AttachmentHolder.AsField`

## Field Summary

Fields
Modifier and Type
Field
Description
`List<net.minecraft.world.item.ItemStack>`
`backstock`
`static final String`
`BACKSTOCK`
`static final com.mojang.serialization.Codec<List<net.minecraft.world.item.ItemStack>>`
`BACKSTOCK_CODEC`
`static final String`
`BURN_TIME`
`static final String`
`BURN_VALUE`
`int`
`burnTimeRemaining`
`final net.neoforged.neoforge.items.ItemStackHandler`
`fuel`
`static final String`
`FUEL`
`static final com.mojang.serialization.Codec<List<InFlightRecipe>>`
`INFLIGHT_RECIPES_CODEC`
`List<InFlightRecipe>`
`inFlightRecipes`
`final InputItemHandler`
`input`
`static final String`
`INPUT`
`int`
`lastItemBurnedValue`
`static final String`
`MULTIPROCESS_UPGRADES`
`final MultiprocessUpgradeHandler`
`multiprocessUpgradeHandler`
`final OutputItemHandler`
`output`
`static final String`
`OUTPUT`
`net.neoforged.neoforge.items.IItemHandler`
`outputSimulatorCache`
cached copy of output slots and inflight recipe results, tossed on relevant updates
`static final String`
`RECIPES`
`static final net.minecraft.world.level.block.entity.BlockEntityTicker<JumboFurnaceCoreBlockEntity>`
`SERVER_TICKER`
`boolean`
`shouldCheckRecipes`

### Fields inherited from class net.minecraft.world.level.block.entity.BlockEntity

`level, remove, worldPosition`

### Fields inherited from class net.neoforged.neoforge.attachment.AttachmentHolder

`ATTACHMENTS_NBT_KEY`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`JumboFurnaceCoreBlockEntity(net.minecraft.world.level.block.entity.BlockEntityType<? extends JumboFurnaceCoreBlockEntity> type, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)`

## Method Summary

Modifier and Type
Method
Description
`static JumboFurnaceCoreBlockEntity`
`create(net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)`
`int`
`getMaxSimultaneousRecipes()`
`boolean`
`isBurning()`
`void`
`loadAdditional(net.minecraft.nbt.CompoundTag compound, net.minecraft.core.HolderLookup.Provider registries)`
`void`
`markFuelInventoryChanged()`
`void`
`markInputInventoryChanged()`
`void`
`markOutputInventoryChanged()`
`void`
`preRemoveSideEffects(net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)`
`void`
`saveAdditional(net.minecraft.nbt.CompoundTag compound, net.minecraft.core.HolderLookup.Provider registries)`
`protected void`
`serverTick()`
`void`
`setChanged()`
`void`
`updateBurningBlockstates(boolean burning)`

### Methods inherited from class net.minecraft.world.level.block.entity.BlockEntity

`addEntityType, applyComponents, applyComponentsFromItemStack, applyImplicitComponents, clearRemoved, collectComponents, collectImplicitComponents, components, fillCrashReportCategory, getBlockPos, getBlockState, getLevel, getPersistentData, getPosFromTag, getType, getUpdatePacket, getUpdateTag, hasLevel, isRemoved, isValidBlockState, loadCustomOnly, loadStatic, loadWithComponents, parseCustomNameSafe, removeComponentsFromTag, removeData, saveCustomAndMetadata, saveCustomOnly, saveWithFullMetadata, saveWithId, saveWithoutMetadata, setBlockState, setChanged, setComponents, setData, setLevel, setRemoved, triggerEvent`

### Methods inherited from class net.neoforged.neoforge.attachment.AttachmentHolder

`deserializeAttachments, getData, getExistingData, hasAttachments, hasData, serializeAttachments`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.neoforged.neoforge.attachment.IAttachmentHolder

`getData, getExistingData, hasData, removeData, setData`

### Methods inherited from interface net.neoforged.neoforge.common.extensions.IBlockEntityExtension

`getModelData, handleUpdateTag, invalidateCapabilities, onChunkUnloaded, onDataPacket, onLoad, requestModelDataUpdate`

## Field Details

### INPUT

public static final String INPUT

See Also:
  - Constant Field Values

### FUEL

public static final String FUEL

See Also:
  - Constant Field Values

### OUTPUT

public static final String OUTPUT

See Also:
  - Constant Field Values

### MULTIPROCESS_UPGRADES

public static final String MULTIPROCESS_UPGRADES

See Also:
  - Constant Field Values

### BURN_TIME

public static final String BURN_TIME

See Also:
  - Constant Field Values

### BURN_VALUE

public static final String BURN_VALUE

See Also:
  - Constant Field Values

### RECIPES

public static final String RECIPES

See Also:
  - Constant Field Values

### BACKSTOCK

public static final String BACKSTOCK

See Also:
  - Constant Field Values

### SERVER_TICKER

public static final net.minecraft.world.level.block.entity.BlockEntityTicker<JumboFurnaceCoreBlockEntity> SERVER_TICKER

### INFLIGHT_RECIPES_CODEC

public static final com.mojang.serialization.Codec<List<InFlightRecipe>> INFLIGHT_RECIPES_CODEC

### BACKSTOCK_CODEC

public static final com.mojang.serialization.Codec<List<net.minecraft.world.item.ItemStack>> BACKSTOCK_CODEC

### input

public final InputItemHandler input

### fuel

public final net.neoforged.neoforge.items.ItemStackHandler fuel

### output

public final OutputItemHandler output

### multiprocessUpgradeHandler

public final MultiprocessUpgradeHandler multiprocessUpgradeHandler

### inFlightRecipes

public List<InFlightRecipe> inFlightRecipes

### backstock

public List<net.minecraft.world.item.ItemStack> backstock

### outputSimulatorCache

public net.neoforged.neoforge.items.IItemHandler outputSimulatorCache
cached copy of output slots and inflight recipe results, tossed on relevant updates

### burnTimeRemaining

public int burnTimeRemaining

### lastItemBurnedValue

public int lastItemBurnedValue

### shouldCheckRecipes

public boolean shouldCheckRecipes

## Constructor Details

### JumboFurnaceCoreBlockEntity

protected JumboFurnaceCoreBlockEntity(net.minecraft.world.level.block.entity.BlockEntityType<? extends JumboFurnaceCoreBlockEntity> type, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)

## Method Details

### create

public static JumboFurnaceCoreBlockEntity create(net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)

### loadAdditional

public void loadAdditional(net.minecraft.nbt.CompoundTag compound, net.minecraft.core.HolderLookup.Provider registries)

Overrides:
  `loadAdditional` in class `net.minecraft.world.level.block.entity.BlockEntity`

### saveAdditional

public void saveAdditional(net.minecraft.nbt.CompoundTag compound, net.minecraft.core.HolderLookup.Provider registries)

Overrides:
  `saveAdditional` in class `net.minecraft.world.level.block.entity.BlockEntity`

### isBurning

public boolean isBurning()

### updateBurningBlockstates

public void updateBurningBlockstates(boolean burning)

### markFuelInventoryChanged

public void markFuelInventoryChanged()

### markInputInventoryChanged

public void markInputInventoryChanged()

### markOutputInventoryChanged

public void markOutputInventoryChanged()

### getMaxSimultaneousRecipes

public int getMaxSimultaneousRecipes()

### serverTick

protected void serverTick()

### setChanged

public void setChanged()

Overrides:
  `setChanged` in class `net.minecraft.world.level.block.entity.BlockEntity`

### preRemoveSideEffects

public void preRemoveSideEffects(net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)

Overrides:
  `preRemoveSideEffects` in class `net.minecraft.world.level.block.entity.BlockEntity`